FeatureFilter.And (BioJava-1.5-beta API)
Keywords: org.biojava.bio.seq.FeatureFilter.And class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.seq
Class FeatureFilter.And

    java.lang.Object
      org.biojava.bio.seq.FeatureFilter.And

All Implemented Interfaces:
  Serializable, FeatureFilter

Enclosing interface:
  FeatureFilter

    public static final class FeatureFilter.And

extends Object
implements FeatureFilter

A filter that returns all features accepted by both child filter.

Since:
  1.0
Author:
  Thomas Down, Matthew Pocock
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojava.bio.seq.FeatureFilter
`FeatureFilter.And, FeatureFilter.AnnotationContains, FeatureFilter.ByAncestor, FeatureFilter.ByAnnotation, FeatureFilter.ByAnnotationType, FeatureFilter.ByChild, FeatureFilter.ByClass, FeatureFilter.ByComponentName, FeatureFilter.ByDescendant, FeatureFilter.ByFeature, FeatureFilter.ByPairwiseScore, FeatureFilter.ByParent, FeatureFilter.BySequenceName, FeatureFilter.BySource, FeatureFilter.ByType, FeatureFilter.ContainedByLocation, FeatureFilter.FrameFilter, FeatureFilter.HasAnnotation, FeatureFilter.Not, FeatureFilter.OnlyChildren, FeatureFilter.OnlyDescendants, FeatureFilter.Or, FeatureFilter.OverlapsLocation, FeatureFilter.ShadowContainedByLocation, FeatureFilter.ShadowOverlapsLocation, FeatureFilter.StrandFilter`

Field Summary

Fields inherited from interface org.biojava.bio.seq.FeatureFilter
`all, leaf, none, top_level`

Constructor Summary
`FeatureFilter.And(FeatureFilter c1, FeatureFilter c2)`

Method Summary
`boolean` | `accept(Feature f)` This method determines whether a feature is to be accepted.
`boolean` | `equals(Object o)`
`FeatureFilter` | `getChild1()`
`FeatureFilter` | `getChild2()`
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FeatureFilter.And

    public FeatureFilter.And(FeatureFilter c1,
                             FeatureFilter c2)

Method Detail

### getChild1

    public FeatureFilter getChild1()

### getChild2

    public FeatureFilter getChild2()

### accept

    public boolean accept(Feature f)

  Description copied from interface: `FeatureFilter`
  This method determines whether a feature is to be accepted.

  Specified by:
    `accept` in interface `FeatureFilter`
  Parameters:
    `f` - the Feature to evaluate
  Returns:
    true if this feature is to be selected in, or false if it is to be ignored

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD